AUTOM4TE(1)

NAME
autom4te - Generate files and scripts thanks to M4

SYNOPSIS
autom4te [OPTION]... [FILES]

DESCRIPTION
Run GNU M4 on the FILES, avoiding useless runs. Output the traces if tracing, the frozen file if freezing, otherwise the expansion of the FILES.

If some of the FILES are named 'FILE.m4f' they are considered to be M4 frozen files of all the previous files (which are therefore not loaded). If 'FILE.m4f' is not found, then 'FILE.m4' will be used, together with all the previous files.

Some files may be optional, i.e., will only be processed if found in the include path, but then must end in '.m4?'; the question mark is not part of the actual file name.

  Operation modes:

-h, --help
    print this help, then exit

-V, --version
    print version number, then exit

-v, --verbose
    verbosely report processing

-d, --debug
    don't remove temporary files

-o, --output=FILE
    save output in FILE (defaults to '-', stdout)

-f, --force
    don't rely on cached values

-W, --warnings=CATEGORY
    report the warnings falling in CATEGORY (comma-separated list accepted)

-l, --language=LANG
    specify the set of M4 macros to use

-C, --cache=DIRECTORY
    preserve results for future runs in DIRECTORY

--no-cache
    disable the cache

-m, --mode=OCTAL
    change the non trace output file mode (0666)

-M, --melt
    don't use M4 frozen files

  Languages include:

'Autoconf'
    create Autoconf configure scripts

'Autotest'
    create Autotest test suites

'M4sh'
    create M4sh shell scripts

'M4sugar'
    create M4sugar output

  Warning categories are:

cross
    cross compilation issues

gnu GNU coding standards (default in gnu and gnits modes)

obsolete
    obsolete features or constructions (default)

override
    user redefinitions of Automake rules or variables

portability
    portability issues (default in gnu and gnits modes)

portability-recursive
    nested Make variables (default with -Wportability)

extra-portability
    extra portability issues related to obscure tools

syntax
    dubious syntactic constructs (default)

unsupported
    unsupported or incomplete features (default)

  -W also understands:

all turn on all the warnings

none
    turn off all the warnings

no-CATEGORY
    turn off warnings in CATEGORY

error
    treat all enabled warnings as errors

The environment variables 'M4' and 'WARNINGS' are honored.

  Library directories:

-B, --prepend-include=DIR
    prepend directory DIR to search path

-I, --include=DIR
    append directory DIR to search path

  Tracing:

-t, --trace=MACRO[:FORMAT]
    report the MACRO invocations

-p, --preselect=MACRO
    prepare to trace MACRO in a future run

  Freezing:

-F, --freeze
    produce an M4 frozen state file for FILES

  FORMAT defaults to '$f:$l:$n:$%', and can use the following escapes:

$$  literal $

$f  file where macro was called

$l  line where macro was called

$d  nesting depth of macro call

$n  name of the macro

$NUM
    argument NUM, unquoted and with newlines

$SEP@
    all arguments, with newlines, quoted, and separated by SEP

$SEP*
    all arguments, with newlines, unquoted, and separated by SEP

$SEP%
    all arguments, without newlines, unquoted, and separated by SEP

SEP can be empty for the default (comma for @ and *, colon for %), a single character for that character, or {STRING} to use a string.

AUTHOR
Written by Akim Demaille.

REPORTING BUGS
Report bugs to bug-autoconf@gnu.org, or via Savannah: https://savannah.gnu.org/support/?group=autoconf.

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. License GPLv3+/Autoconf: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>, <https://gnu.org/licenses/exceptions.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
autoconf(1), automake(1), autoreconf(1), autoupdate(1), autoheader(1), autoscan(1), config.guess(1), config.sub(1), ifnames(1), libtool(1). The full documentation for Autoconf is maintained as a Texinfo manual. To read the manual locally, use the command

    info autoconf

You can also consult the Web version of the manual at https://gnu.org/software/autoconf/manual/.